Append to Page

.

A utility endpoint to quickly add notes to a page, creating the page if it doesn’t exist.

POST /api/v1/append_to_page.php

  • Description: Appends one or more notes to a page, creating the page if necessary. Supports creating nested notes in one call.
  • Request: application/json
     1
     2
     3
     4
     5
     6
     7
     8
     9
    10
    11
    12
    13
    14
    15
    
    {
      "page_name": "Meeting Notes 2023-10-27",
      "notes": [
        {
          "client_temp_id": "topic-1",
          "content": "Discussion Topic 1: Budget {priority::High}",
          "order_index": 0
        },
        {
          "content": "Action Item: Follow up with finance. {status::TODO}",
          "parent_note_id": "topic-1",
          "order_index": 0
        }
      ]
    }
    
  • Response (200 OK):
     1
     2
     3
     4
     5
     6
     7
     8
     9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    
    {
        "status": "success",
        "data": {
            "message": "Page created and notes appended successfully.",
            "page": {
                "id": 27,
                "name": "Meeting Notes 2023-10-27",
                "content": null,
                "properties": {},
                "...": "..."
            },
            "appended_notes": [
                {
                    "id": 103,
                    "page_id": 27,
                    "content": "Discussion Topic 1: Budget {priority::High}",
                    "properties": { "priority": [{"value": "High", "weight": 2, "...":"..."}] },
                    "...": "..."
                },
                {
                    "id": 104,
                    "page_id": 27,
                    "parent_note_id": 103,
                    "content": "Action Item: Follow up with finance. {status::TODO}",
                    "properties": { "status": [{"value": "TODO", "weight": 2, "...":"..."}] },
                    "...": "..."
                }
            ]
        }
    }